﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;

namespace _9178
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;

            LayerOverlay layerOverlay = new LayerOverlay();
            GeoTiffRasterLayer geoTiffRasterLayer = new GeoTiffRasterLayer(@"..\..\AppData\World_3857.tif");
            geoTiffRasterLayer.Open();
            Proj4Projection proj4Projection = new Proj4Projection();
            proj4Projection.InternalProjectionParametersString = geoTiffRasterLayer.GetProjectionText();
            proj4Projection.ExternalProjectionParametersString = Proj4Projection.GetDecimalDegreesParametersString();
            proj4Projection.Open();
            geoTiffRasterLayer.ImageSource.Projection = proj4Projection;
            layerOverlay.Layers.Add(geoTiffRasterLayer);
            map.Overlays.Add(layerOverlay);

            geoTiffRasterLayer.Open();
            map.CurrentExtent = geoTiffRasterLayer.GetBoundingBox();
            map.Refresh();
        }
    }
}
